List broadcast recipients
List the recipients of a broadcast, paged, with the total count in paging.totalCount. Recipients are managed with the add (POST) / update (PUT) / delete (DELETE) endpoints while the broadcast is DRAFT, and are frozen once it transitions out of DRAFT.
Required permissions: BROADCAST
get/tenants/{tenantUid}/stores/{storeUid}/broadcasts/{broadcastUid}/recipients
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+broadcastUidstringRequiredPattern:
Reference to a Broadcast.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
BroadcastRecipientListResponse
application/json
get/tenants/{tenantUid}/stores/{storeUid}/broadcasts/{broadcastUid}/recipients
GET /v2/tenants/{tenantUid}/stores/{storeUid}/broadcasts/{broadcastUid}/recipients HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
BroadcastRecipientListResponse
{
"items": [
{
"broadcastRecipientUid": "text",
"customerUid": "text",
"displayName": "text",
"address": "text",
"status": "QUEUED"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

